package service

import (
	"context"
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
	cr "git.loafle.net/commons_go/rpc"
	oocmci "git.loafle.net/overflow/overflow_commons_go/modules/commons/interfaces"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*ProbeService)(nil)))
}

type ProbeService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
	oocmci.Service

	RPCServlet cr.Servlet
}

func (ps *ProbeService) Start() error {

	return nil
}

func (ps *ProbeService) Stop(ctx context.Context) error {

	return nil
}

func (ps *ProbeService) Send(method string, params ...interface{}) error {
	return ps.RPCServlet.Send(method, params...)
}
