package service

import (
	"context"
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
	oocmci "git.loafle.net/overflow/overflow_commons_go/modules/commons/interfaces"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*StateService)(nil)))
}

type StateService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
	oocmci.Service
}

func (s *StateService) Start() error {
	return nil
}

func (s *StateService) Stop(ctx context.Context) error {
	return nil
}

func (s *StateService) State() (bool, error) {
	return true, nil
}
